package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import java.io.*;
import java.net.*;
import javax.net.ssl.*;
import java.security.KeyStore;
public class Fur_URL {
public static boolean isValid(String PaURL) {
  try {
    if (PaURL.toUpperCase().startsWith("HTTPS")) {
        //Teste sans authentification
      char[] keystorepass = FurPARAM.getDBSConnectorParam("CERT_JRE_KEYSTORE_PASSWORD").DATA.toCharArray();		//le mot de passe qui protège votre keystore
      File keystoreFile   = new File(FurPARAM.getDBSConnectorParam("CERT_JRE_KEYSTORE_FILE").DATA);		//le chemin d'accès à votre keystore
      KeyStore keyStore   = KeyStore.getInstance(FurPARAM.getDBSConnectorParam("CERT_JRE_KEYSTORE_TYPE").DATA);
       
      keyStore.load(new FileInputStream(keystoreFile), keystorepass);
      TrustManagerFactory trustManagerFactory = TrustManagerFactory.getInstance(TrustManagerFactory.getDefaultAlgorithm());
      trustManagerFactory.init(keyStore);
      TrustManager[] TrustManager = trustManagerFactory.getTrustManagers();

      SSLContext sslContext = SSLContext.getInstance(FurPARAM.getDBSConnectorParam("CERT_JRE_KEYSTORE_SSL").DATA);
      sslContext.init(null, TrustManager, null);	//vous spécifiez que le trustManager créés plus haut
      HttpsURLConnection.setDefaultSSLSocketFactory(sslContext.getSocketFactory());
      HttpsURLConnection conn = (HttpsURLConnection) new URL(PaURL).openConnection();
      conn.connect();
      if (conn.getResponseCode() == HttpsURLConnection.HTTP_OK) return true;
      else return false;
    } else {
      HttpURLConnection conn = (HttpURLConnection) new URL(PaURL).openConnection();
      conn.connect();
      return conn.getResponseCode() == HttpURLConnection.HTTP_OK;
    }
  } catch (Exception e) {
    Fur_File.Trace("Fur_URL.isValid: "+PaURL+"__"+e.getMessage());
    return false;
  }
}
public static String sendURL(String data)
{
  String retour="";
    try
    {
        URL postURL = new URL( data );
        HttpURLConnection conn = (HttpURLConnection)postURL.openConnection();

        // Set connection parameters. We need to perform input and output,
        // so set both as true.
        conn.setDoInput (true);
        conn.setDoOutput (true);

        // Set the content type we are POSTing. We impersonate it as
        // encoded form data
        conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
        conn.setRequestProperty( "User-Agent", "974APPS/WebAura Software Development" );

        conn.setRequestMethod("GET");

        // Read input from the input stream.
        DataInputStream  in = new DataInputStream (conn.getInputStream());
        int rc = conn.getResponseCode();
        if ( rc != -1)
        {
            BufferedReader is = new BufferedReader(new InputStreamReader( conn.getInputStream()));
            String _line = null;
            while(((_line = is.readLine()) !=null))
            {
                retour += _line;
            }
        }
        
    }
    catch( IOException e )
    {
        
    }
  return retour;
}
}
